# Class TCBKeyFrame

java.lang.Object
com.sun.j3d.utils.behaviors.interpolators.TCBKeyFrame

public class TCBKeyFrame extends Object
This class represents a Key Frame that can be used for Kochanek-Bartels (TCB) spline interpolation.

Since:
  Java3D 1.1

## Field Summary

Fields
Modifier and Type
Field
Description
`float`
`bias`
`float`
`continuity`
`float`
`knot`
`int`
`linear`
`javax.vecmath.Point3f`
`position`
`javax.vecmath.Quat4f`
`quat`
`javax.vecmath.Point3f`
`scale`
`float`
`tension`

## Constructor Summary

Constructors
Constructor
Description
`TCBKeyFrame(float k, int l, javax.vecmath.Point3f pos, javax.vecmath.Quat4f q, javax.vecmath.Point3f s, float t, float c, float b)`
Creates a key frame using the given inputs.
`TCBKeyFrame(TCBKeyFrame kf)`

## Method Summary

Modifier and Type
Method
Description
`void`
`debugPrint(String tag)`
Prints information comtained in this key frame

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### position

public javax.vecmath.Point3f position

### quat

public javax.vecmath.Quat4f quat

### scale

public javax.vecmath.Point3f scale

### tension

public float tension

### continuity

public float continuity

### bias

public float bias

### knot

public float knot

### linear

public int linear

## Constructor Details

### TCBKeyFrame

public TCBKeyFrame(TCBKeyFrame kf)

### TCBKeyFrame

public TCBKeyFrame(float k, int l, javax.vecmath.Point3f pos, javax.vecmath.Quat4f q, javax.vecmath.Point3f s, float t, float c, float b)
Creates a key frame using the given inputs.

Parameters:
  `k` - knot value for this key frame
  `l` - the linear flag (0 - Spline Interp, 1, Linear Interp
  `pos` - the position at the key frame
  `q` - the rotations at the key frame
  `s` - the scales at the key frame
  `t` - tension (-1.0 invalid input: '<' t invalid input: '<' 1.0)
  `c` - continuity (-1.0 invalid input: '<' c invalid input: '<' 1.0)
  `b` - bias (-1.0 invalid input: '<' b invalid input: '<' 1.0)

## Method Details

### debugPrint

public void debugPrint(String tag)
Prints information comtained in this key frame

Parameters:
  `tag` - string tag for identifying debug message